#!/usr/bin/env node
"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const program = require("commander");
const all_commands_1 = require("./commands/all-commands");
require('pkginfo')(module, 'version');
program
    .version(module.exports.version)
    .description('Cli tool for bootstrapping production grade GraphQL server');
for (let command of all_commands_1.default) {
    program
        .command(command.getName())
        .description(command.getDescription())
        .alias(command.getAlias())
        .action(command.getAction());
    const optionsPattern = command.getOptions().optionsPattern;
    const optionsDescription = command.getOptions().optionsDescription;
    for (let i = 0; i < optionsPattern.length; i++) {
        program.option(optionsPattern[i], optionsDescription[i]);
    }
}
program.parse(process.argv);
//# sourceMappingURL=cga.js.map